Subject: Wrong default value 'Text' for $dataType in TYPO3\FLOW3\MVC\Controller\Arguments::addNewArgument()
Description

The default value 'Text' for $dataType in the signature of the method

public function addNewArgument($name, $dataType = 'Text', $isRequired = TRUE, $defaultValue = NULL)

should be 'string' because there is no TypeConverter for 'Text'.

If I use

$this->arguments->addNewArgument('test');

and passes a value for test, I get this Exception:

TYPO3\FLOW3\Property\Exception\InvalidTargetException thrown in file
TYPO3_FLOW3_Property_PropertyMapper_Original.php

Could not find a suitable type converter for "Text" because no such class or interface exists.
25 TYPO3\FLOW3\Property\PropertyMapper_Original::findFirstEligibleTypeConverterInObjectHierarchy("5", "string", "Text")
24 TYPO3\FLOW3\Property\PropertyMapper_Original::findTypeConverter("5", "Text",
TYPO3\FLOW3\MVC\Controller\MvcPropertyMappingConfiguration)
23 TYPO3\FLOW3\Property\PropertyMapper_Original::doMapping("5", "Text",
TYPO3\FLOW3\MVC\Controller\MvcPropertyMappingConfiguration, array)
22 TYPO3\FLOW3\Property\PropertyMapper_Original::convert("5", "Text",
TYPO3\FLOW3\MVC\Controller\MvcPropertyMappingConfiguration)
21 TYPO3\FLOW3\MVC\Controller\Argument_Original::setValue("5")
20 TYPO3\FLOW3\MVC\Controller\AbstractController::mapRequestArgumentsToControllerArguments()
19 TYPO3\FLOW3\MVC\Controller\ActionController_Original::processRequest(TYPO3\FLOW3\MVC\Web\Request,
TYPO3\FLOW3\MVC\Web\Response)
18 TYPO3\FLOW3\MVC\Dispatcher_Original::dispatch(TYPO3\FLOW3\MVC\Web\Request,
TYPO3\FLOW3\MVC\Web\Response)
17 TYPO3\FLOW3\MVC\Dispatcher::dispatch(TYPO3\FLOW3\MVC\Web\Request, TYPO3\FLOW3\MVC\Web\Response)
16 call_user_func_array(array, array)
15 TYPO3\FLOW3\MVC\Dispatcher::FLOW3_AOP_Proxy_invokeJoinPoint(TYPO3\FLOW3\AOP\JoinPoint)
14 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)
13
TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::setAccessDeniedResponseHeader(TYPO3\FLOW3\AOP\JoinPoint)
12 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)
11 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)
10 TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\FLOW3\AOP\JoinPoint)
9 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)
8 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)
7 TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::initializeSecurity(TYPO3\FLOW3\AOP\JoinPoint)
6 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)
5 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)
4 TYPO3\FLOW3\MVC\Dispatcher::dispatch(TYPO3\FLOW3\MVC\Web\Request, TYPO3\FLOW3\MVC\Web\Response)
3 TYPO3\FLOW3\MVC\Web\RequestHandler_Original::handleRequest()
2 TYPO3\FLOW3\Core\Bootstrap::handleWebRequest()
1 TYPO3\FLOW3\Core\Bootstrap::run()
Associated revisions
Revision 2b29376b - 2011-09-30 23:19 - Johannes K

[BUGFIX] Wrong default value 'Text' for $dataType

The default value 'Text' for $dataType in the signature of the method
addNewArgument should be 'string' because there is no TypeConverter for
'Text'.

Resolves: #29978
Change-Id: I82f77161e4b7ec277599feb8e07834ed9d39692a

History
#1 - 2011-09-25 10:51 - Mr. Hudson
- Status changed from New to Under Review

Patch set 2 of change I82f77161e4b7ec277599feb8e07834ed9d39692a has been pushed to the review server.
It is available at http://review.typo3.org/5246

#2 - 2011-09-30 23:19 - Mr. Hudson

Patch set 3 of change I82f77161e4b7ec277599feb8e07834ed9d39692a has been pushed to the review server.
It is available at http://review.typo3.org/5246

#3 - 2011-09-30 23:35 - Johannes K
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2b29376b3ea683ccf15ae925a6cd0373d3749491.

2015-08-03 2/2

http://review.typo3.org/5246
http://review.typo3.org/5246

